GET /failures

List all Failures

This endpoint allows you to list all Failures registered in the system.

The query parameters described below are to be used with the JQL.

Operation ID: getFailures
lock This endpoint requires a Bearer token in the Authorization header.

Query Parameters

Name Type Description
approved_date
query
string

Filter results by the approval date of the Failure.

completed_date
query
string

Filter results by the completion date of the Failure.

failure_id
query
integer

Filter results by the ID of the Failure

last_status_change_date
query
string

Filter results by the last status change date of the Failure.

local_id
query
integer

Filter results by the local of the Failure.

problem_id
query
integer

Filter results by the problem of the Failure.

start_date
query
string

Filter results by the date of report of the Failure.

status
query
string

Filter results by the status of the Failure.

WAITING_APPROVAL WAITING_RESOLUTION IN_RESOLUTION PAUSED COMPLETED ARCHIVED

Responses

data array<object>
id string required read-only

ID of the Failure

type string required read-only

Model type

failure
attributes object required
failure_id integer read-only

ID of the Failure

Example: 1

uuid string (uuid) read-only

Universally Unique Identifier for the Failure

problem_id integer

ID of the associated problem

status string read-only
WAITING_APPROVAL WAITING_RESOLUTION IN_RESOLUTION PAUSED COMPLETED ARCHIVED
start_date string (date-time) read-only

Example: 2020-08-28T08:48:00.000Z

completed_date string (date-time) | null read-only

Example: 2020-08-28T17:12:00.000Z

approved_date string (date-time) | null read-only

Example: 2020-08-28T09:30:00.000Z

paused_date string (date-time) | null read-only

Example: 2020-08-28T13:05:00.000Z

description string

Example: Needs replacement

last_status_description string

Example: Completed

observations string | null

Example: Needs a new part

code string

Example: WO2022

fts_vector string

Denormalized data of a Failure

priority integer

Failure priority number being 1 the lowest priority and 4 the highest priority.

1 2 3 4
client_id integer read-only

ID of the associated client defined according to the respective `local_id`.

entity_id integer read-only

ID of the Entity of the Failure

metering_registry_id integer | null read-only

ID of a possible associated metering registry

local_id integer

ID of the location associated to the Failure

paused_reason_id integer

ID of the paused reason associated to the Failure

external_id string | null

External ID to be associated to the Failure

report_name string

Name of who reported the Failure

solved boolean read-only

Indicates whether the Failure was closed successfully or not

confirmed boolean read-only

Indicates whether the Failure is confirmed or not

started boolean read-only

Indicates whether the Failure is started or not

paused boolean read-only

Indicates whether the Failure is paused or not

completed boolean read-only

Indicates whether the Failure is completed or not

archived boolean read-only

Indicates whether the Failure is archived or not

approved boolean read-only

Indicates whether the Failure is approved or not

next_schedule string (date-time) | null read-only

Example: 2020-08-29T10:30:00.000Z

message_count integer

Example: 3

time_statistics object
approved_date string (date-time) | null read-only

Example: 2020-08-28T09:30:00.000Z

last_completed_date string (date-time) | null read-only

Example: 2020-08-28T17:12:00.000Z

last_paused_date string (date-time) | null read-only

Example: 2020-08-28T13:05:00.000Z

started_date string (date-time) | null read-only

Example: 2020-08-28T09:45:00.000Z

time_to_approve string | null read-only

Duration it took to approve the Failure since reported in `ISO8601` format.

Example: P0Y0M0DT0H42M0S

time_to_complete string | null read-only

Duration it took to complete the Failure since reported in `ISO8601` format.

Example: P0Y0M0DT8H24M0S

time_to_complete_after_started string | null read-only

Duration it took to complete the Failure since the resolution started in `ISO8601` format.

Example: P0Y0M0DT7H27M0S

time_to_start string | null read-only

Duration it took to start the Failure's resolution since reported in `ISO8601` format.

Example: P0Y0M0DT0H57M0S

time_to_start_after_approved string | null read-only

Duration it took to start the Failure's resolution since approved in `ISO8601` format.

Example: P0Y0M0DT0H15M0S

real_duration string | null read-only

Real duration of the Failure's resolution time in `ISO8601` format.

Example: P0Y0M0DT7H27M0S

supplier_id integer

ID of the supplier associated to the Failure

signature_status string

Indicates whether the Failure is signed or not

SIGNED NOT_SIGNED
last_status_change_date string (date-time) read-only

Example: 2020-08-28T09:30:00.000Z

approved_by_id integer | null read-only

ID of the operator who approved the Failure.

completed_by_id integer | null read-only

ID of the operator who completed the Failure.

started_by_id integer | null read-only

ID of the operator who started the Failure's resolution.

paused_by_id integer | null read-only

ID of the operator who paused the Failure's resolution.

approved_by string | null read-only

Name of the operator who approved the Failure.

completed_by string | null read-only

Name of the operator who completed the Failure.

started_by string | null read-only

Name of the operator who started the Failure's resolution.

paused_by string | null read-only

Name of the operator who paused the Failure's resolution.

reported_by string | null read-only

Name of the operator who reported the Failure.

manpower_duration string | null read-only

Duration of the Failure's manpower time in `ISO8601` format.

Example: P0Y0M0DT7H27M0S

cost_center_id integer | null

ID of the cost center associated to the Failure

network_failure_id integer read-only

ID of the Network Failure

Example: 1

created_at string (date-time) read-only
updated_at string (date-time) read-only
date_deleted string (date-time) read-only
relationships object
approvedBy object
data object
type string read-only
operator
id string read-only
completedBy object
data object
type string read-only
operator
id string read-only
createdBy object
data object
type string read-only
operator
id string read-only
files object
data array<object>
type string read-only
file
id string read-only
location object
data object
type string read-only
location
id string read-only
operator object
data object
type string read-only
operator
id string read-only
included array<union>

List of relationships to be included

id string required read-only

ID of the File

type string required read-only

Model type

file
attributes object required
file_id integer read-only

File Id

file_uuid string read-only

File UUID

related_to string

Object which the File is related to

BUILDING CATEGORY CLIENT ELEMENT ELEMENT_REGISTRY FAILURE METERING_REGISTRY OPERATOR ORDER QUOTE QUOTE_REQUEST RECEIVED_QUOTE RECEIVED_QUOTE_REQUEST REQUEST SELL_ORDER SUPPLIER SCHEDULE_WORK WORK SCHEDULED_WORK PURCHASE PURCHASE_MATERIAL_LINE PURCHASE_SERVICE_LINE SALE
related_to_id integer

Relations Id

related_type string read-only

Object which the File is related to

BUILDING CATEGORY CLIENT ELEMENT ELEMENT_REGISTRY FAILURE METERING_REGISTRY OPERATOR ORDER QUOTE QUOTE_REQUEST RECEIVED_QUOTE RECEIVED_QUOTE_REQUEST REQUEST SELL_ORDER SUPPLIER SCHEDULE_WORK WORK
file_label_id integer | null

File Label Id

name string

File name

Example: my_example_file

thumb string | null read-only

URL to the thumbnail, in case the File is an image.

file_url string (uri) read-only

URL to the File

description string | null
expire_date string (date-time) | null read-only

Example: 2020-08-28T17:12:00.000Z

has_reminder boolean read-only
file_type string read-only

Internal type of the file

cad compressed file image office other pdf signature video
permission_to_technician boolean
permission_to_manager boolean
permission_to_direct boolean
extension string read-only
3gp 3gpp bin bmp cad csv doc docx gif jpeg jpg kmz mov mp4 odf odp pdf png ppt pptx qt rar txt xls xlsx zip
network_status string

Show the network status of the file.

SHARED RECEIVED NOT_SHARED
shared_with_supplier boolean

Show if the file is currently in a shared status with the supplier.

shared_with_client boolean

Show if the file is currently in a shared status with the client.

file_size integer read-only
created_at string | null read-only

Example: 2021-07-21 18:38:00

id string required read-only

ID of the Location

type string required read-only

Model type

location
attributes object required
entity_id integer
name string required

Location name

full_name string required read-only

Names of the location's parents concatenated by hyphen with location name.

code string required

Location code.

full_code string required read-only

Codes of the location's parents concatenated by dot with location code.

original_full_code string | null read-only

Location original full code.

observation string | null required

Additional information

date_updated string | null required read-only

Example: 2021-07-21 18:38:00

parent_id integer

ID of the location parent.

root_parent_id integer read-only

ID of the location root parent (of `type` equals to `building`).

area number | null

Location area

glass_area number | null

Location glass area

volume number | null

Location volume

orientation string | null

Solar orientation (North, South, West, East)

is_from_network boolean read-only

If Location is from network

local_uuid string (uuid) read-only

Location UUID

assets_count integer | null read-only

Cumulative count of assets (equipment) in this location and all its descendants. Only present when `with_assets_count=true` query parameter is provided.

associations array<string>

List of ways the operator is associated with this building. Possible values are `DIRECT` (via a direct local-operator assignment), `TEAM` (via a team the operator belongs to), and `CLIENT` (via a client the operator is assigned to).

relationships object
building object
data object
type string read-only
building
id string read-only
files object
data array<object>
type string read-only
file
id string read-only
operators object
data array<object>
type string read-only
operator
id string read-only
localOrientation object
data array<object>
type string read-only
localOrientation
id string read-only
id string read-only

ID of the Operator

type string read-only

Model type

operator
attributes object
operator_id integer read-only

ID of the Operator

operator_uuid string (uuid) read-only

Uuid of the Operator

full_name string
email string (email)
phone string | null
cellphone string | null
account string

Type of account which determines the access permission level.

admin manager technician operator reporter
language string
ar ca da_dk en es fr_fr pl_pl pt_br pt_pt ko zh_cn nl_nl de_de
cost_per_hour number

Example: 10

warehouse_id integer

ID of the warehouse associated to the Operator by default.

entity_id integer read-only
timezone string

Valid PHP timezone identifier. See the full list here: https://www.php.net/manual/en/timezones.php.

Example: Europe/Lisbon

is_from_network boolean
created_at string (date-time)
phone_country_code string

Example: US

is_first_web_login boolean | null read-only
status string
WORKING AVAILABLE OFFLINE

Example: WORKING

meta object
custom_fields object | null
meta object

Meta model structure details

pagination object
total integer required

Total items.

Example: 1

count integer required

Total items returned for the current page.

Example: 1

per_page integer required

Maximum number of records per page.

Example: 1

current_page integer required

Number of the current page.

total_pages integer required

Number of the total pages.

links object

Requests that return multiple items include a `links` attribute, with links related to request's context.

self string required read-only

Current response link.

Example: /path?page=1

first string required read-only

Link to the first page result.

Example: /path?page=1

last string required read-only

Link to the previous page result.

Example: /path?page=1

next string read-only

Link to the next page result.

Example: /path?page=1

status string
error
error object
properties object

Only present when related to property validation error

dev_message string

Example: Property validation error. Check the "properties" section in the response.

http_code integer
400
message string

Example: Property validation error.

more_info string
status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string